-----------------------------------
--  Area: Port Bastok
--   NPC: Nokkhi Jinjahl
--  Type: Traveling Merchant NPC
-- @zone: 236
--  @pos: 112.667 7.455 -46.174
--
-- Author: Codiddle, the man, the myth, the addict.
-----------------------------------
package.loaded["scripts/zones/Port_Bastok/TextIDs"] = nil;
-----------------------------------

-----------------------------------
-- onTrade Action
-----------------------------------

function onTrade(player,npc,trade)
	count = trade:getItemCount();
	carnation	=	trade:getItemQty(948)
	antlion		=	(trade:getItemQty(19195) / 99)
	beetle		=	(trade:getItemQty(18154) / 99)
	demon		=	(trade:getItemQty(18159) / 99)
	gargouille	=	(trade:getItemQty(19800) / 99)
	horn		=	(trade:getItemQty(18156) / 99)
	iron		=	(trade:getItemQty(17320) / 99)
	kabura		=	(trade:getItemQty(17325) / 99)
	ruszor		=	(trade:getItemQty(19182) / 99)
	scorpion	=	(trade:getItemQty(18155) / 99)
	silver		=	(trade:getItemQty(17321) / 99)
	sleep		=	(trade:getItemQty(18158) / 99)
	acid		=	(trade:getItemQty(18148) / 99)
	adaman		=	(trade:getItemQty(19801) / 99)
	blind		=	(trade:getItemQty(18150) / 99)
	bloody		=	(trade:getItemQty(18151) / 99)
	dark		=	(trade:getItemQty(19183) / 99)
	darkling	=	(trade:getItemQty(19196) / 99)
	darksteel	=	(trade:getItemQty(17338) / 99)
	holy		=	(trade:getItemQty(18153) / 99)
	mythril		=	(trade:getItemQty(17337) / 99)
	sleep		=	(trade:getItemQty(18149) / 99)
	venom		=	(trade:getItemQty(18152) / 99)
	quiver = (antlion + beetle + demon + gargouille + horn + iron + kabura + ruszor + scorpion + silver + sleep + acid + adaman + blind + bloody + dark + darkling + darksteel + holy + mythril + sleep + venom)
	if(((quiver * 99) + carnation) == count) then
		if((quiver == math.floor(quiver)) and (quiver == carnation) and (player:getFreeSlotsCount() >= carnation)) then
			player:tradeComplete();
			if(antlion > 0) then
				player:addItem(5819,antlion);
				player:messageSpecial(ITEM_OBTAINED,5819);
			end
			if(beetle > 0) then
				player:addItem(4221,beetle);
				player:messageSpecial(ITEM_OBTAINED,4221);
			end
			if(demon > 0) then
				player:addItem(4224,demon);
				player:messageSpecial(ITEM_OBTAINED,4224);
			end
			if(gargouille > 0) then
				player:addItem(5912,gargouille);
				player:messageSpecial(ITEM_OBTAINED,5912);
			end
			if(horn > 0) then
				player:addItem(4222,horn);
				player:messageSpecial(ITEM_OBTAINED,4222);
			end
			if(iron > 0) then
				player:addItem(4225,iron);
				player:messageSpecial(ITEM_OBTAINED,4225);
			end
			if(kabura > 0) then
				player:addItem(5332,kabura);
				player:messageSpecial(ITEM_OBTAINED,5332);
			end
			if(ruszor > 0) then
				player:addItem(5871,ruszor);
				player:messageSpecial(ITEM_OBTAINED,5871);
			end
			if(scorpion > 0) then
				player:addItem(4223,scorpion);
				player:messageSpecial(ITEM_OBTAINED,4223);
			end
			if(silver > 0) then
				player:addItem(4226,silver);
				player:messageSpecial(ITEM_OBTAINED,4226);
			end
			if(sleep > 0) then
				player:addItem(5333,sleep);
				player:messageSpecial(ITEM_OBTAINED,5333);
			end
			if(acid > 0) then
				player:addItem(5335,acid);
				player:messageSpecial(ITEM_OBTAINED,5335);
			end
			if(adaman > 0) then
				player:addItem(5913,adaman);
				player:messageSpecial(ITEM_OBTAINED,5913);
			end
			if(blind > 0) then
				player:addItem(5334,blind);
				player:messageSpecial(ITEM_OBTAINED,5334);
			end
			if(bloody > 0) then
				player:addItem(5339,bloody);
				player:messageSpecial(ITEM_OBTAINED,5339);
			end
			if(dark > 0) then
				player:addItem(5872,dark);
				player:messageSpecial(ITEM_OBTAINED,5872);
			end
			if(darkling > 0) then
				player:addItem(5820,darkling);
				player:messageSpecial(ITEM_OBTAINED,5820);
			end
			if(darksteel > 0) then
				player:addItem(4229,darksteel);
				player:messageSpecial(ITEM_OBTAINED,4229);
			end
			if(holy > 0) then
				player:addItem(5336,holy);
				player:messageSpecial(ITEM_OBTAINED,5336);
			end
			if(mythril > 0) then
				player:addItem(4228,mythril);
				player:messageSpecial(ITEM_OBTAINED,4228);
			end
			if(sleep > 0) then
				player:addItem(5337,sleep);
				player:messageSpecial(ITEM_OBTAINED,5337);
			end
			if(venom > 0) then
				player:addItem(5338,venom);
				player:messageSpecial(ITEM_OBTAINED,5338);
			end
		end
	end
--
--
--
--
--
--
--
--
end;

-----------------------------------
-- onTrigger Action
-----------------------------------

function onTrigger(player,npc)
	player:startEvent(0x011d);
end;

-----------------------------------
-- onEventUpdate
-----------------------------------

function onEventUpdate(player,csid,option)
	-- printf("CSID: %u",csid);
	-- printf("RESULT: %u",option);
end;

-----------------------------------
-- onEventFinish
-----------------------------------

function onEventFinish(player,csid,option)
	-- printf("CSID: %u",csid);
	-- printf("RESULT: %u",option);
end;

